Subject: Re: bug#78121: tsx-ts-mode: wrong indentation of body with misindented args

From: Yuan Fu <[email-masked]>
Date: Thu, 1 May 2025 00:40:36 -0700

> On Apr 29, 2025, at 11:10 AM, Konstantin Kharlamov <[email-masked]> wrote:
> 
> On Tue, 2025-04-29 at 22:38 +0700, Konstantin Kharlamov wrote:
>> On Tue, 2025-04-29 at 22:21 +0700, Konstantin Kharlamov wrote:
>>> I wrote a fix and added a test, please review.
>>> 
>>> I did not touch the situation discussed in P.S. (should I maybe
>>> create
>>> a separate issue for that?), this only fixes the problem reported.
>> 
>> v2: improved the test to cover potential edge case, clarified
>> description.
> 
> v3: typo in test name
> <1.patch>

Thank you very much! I see your point. But could you make the test simpler, so it’s easier to see the intent of the test? 

Yuan